/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program, BN } from "@project-serum/anchor";
import { Oracle } from "../artifacts/oracle";
export declare type SetDynamicLimitParams = {
    accounts: {
        authority: PublicKey;
        controller: PublicKey;
        product: PublicKey;
        priceMemo: PublicKey;
    };
    inputs: {
        windowSize: BN;
        acceptableChangePercent: BN;
    };
};
export declare function setDynamicLimit(program: Program<Oracle>, params: SetDynamicLimitParams): Promise<Instruction>;
